Rosetta Stone Support

  • FOR YOU
  • FOR CLASSROOMS & ENTERPRISES
  • SUPPORT
  • Search

    Looking for something? You're in the right place.

  • CHAT
  • Cart
  • Sign In
  • Try it free

Support

Error 3221 - The Application does not support the tech version of the course.

You may have an older version of the language level CDs.

This error can be caused when you are installing an older language level disk to a newer Rosetta Stone Application.
You can identify the language level disk version on the front of the CD. 
For example, you will see something like 7.3.0r6. 

If you have any language level disks that are lower than version 7.5.2, then please contact Rosetta Stone Support 
for further assistance.

Was this article helpful?

POPULAR TOPICS
Previous MonthNext Month
SunMonTueWedThuFriSat